Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwavalwa lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Shockwave Flash plugin

  • 5 uphendule
  • 1 inale nkinga
  • 3375 views
  • Igcine ukuphendulwa ngu jscher2000

more options

Plug-in check says Shockwave Flash 11.1 r115 plugin is vulnerable.

when I go to the update button I get this

We're Sorry This content requires Adobe Flash Player, which is not supported by your device. This content can be viewed on a desktop computer or on mobile devices that support Flash Player.

I'm so tired of the confusion re Flash & Firefox.

How can I fix this once & for all so Flash works?

Thanks

All Replies (5)

more options

Are you using the same plugin check site that is used in desktop versions of Firefox? It is not tuned to recognize when an older or no-longer-supported platform is running the latest version available for that platforms. Therefore, so you cannot get a "current" version for Android by its standards.

The last release for Android apparently was "Flash Player 11.1 for Android 4.0 (11.1.115.81)" per http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html

more options

Regarding your second question, does Flash work on any sites in your Firefox for Android? I find it somewhat inconsistent.

more options

Thanks for response.

I'm on my galaxynote 3,

I went tohttp://www.mozilla.org/en-US/plugincheck/?src=external-newsletter

more options

The plugin check website is not designed for mobile use. Adobe Flash is the only plugin on mobile to the best of my knowledge. Updating the site to work with mobile browsers is not worth the effort.

more options

Yes, that site is going to be updated soon. I'm still not sure it will handle Android as a special case. See above response

Okulungisiwe ngu jscher2000